CHANGELOG
- Dec 16, 2002 (v2.7.7)
	Bug fixes for 2.7.6 release
		- fixed Greek strings were in UTF-8 format, not ISO
		- fixed missing TWIGImage() in mail.main.inc.php3
		- fixed ToDo string did not appear in Preferences
		- added function TWIGSRCFile() to common.inc.php3
		- fixed Schedule feature so that group selectors would
		  obey group permissions
		- fixed links in Day view of Schedule so that clicking
		  on the icon by an empty space will load the new item
		  form (thanks to Jurgen Hofer)
		- fixed Mail attached images will show extra filename hint
		  only if $config["baseurl"] does not end with a / (using
		  new function TWIGSRCFile() )
		- Mail feature now supports sorting by size
		- fixed Mail Prefs so that the correct sortby setting is
		  shown when a language other than English is being used
		- fixed vCard import couldn't handle multiple vCards in the
		  same file
		- fixed the display of notime entries in day view of
		  Schedule (thanks Jurgen Hofer)
		- fixed userperms group library so that group ALL obeys
		  the users' permissions to groups
		- added FAQ entry regarding Apache's UseCanonicalName directive
		  and problems with TWIG virtual hosts
		- fixed problem in the MySQL table definition that
		  prevented the default view group for Bookmarks to be
		  set to 'ALL'.  If you are upgrading from a previous
		  version of TWIG and using MySQL, you will need to
		  alter your TWIG table using the following:
		  ALTER TABLE twig_bookmarks_prefs MODIFY viewgrp varchar(10) DEFAULT '0' NOT NULL;
		- updated Spanish and Catalan language files (thanks
		  Jaume Teixi)
		- make sqltable session handler work with usernames with
		  '-' in them
		- make securecookie.sqltable login handler not display
		  login error message on initial logins
		- added TWIGDebugLevel() function to handle debug level
		  checks
		- updated various places in the TWIG codebase to use
		  per-user debug levels
		- miscellaneous changes to debug levels
		- updates to test.php3 to help catch more common errors
		  (thanks to Dustin Rue)
		- fixed date() should have been TWIGdate() in todo.view,
		  (thanks to Panagiotis Christias)
		- changed many <hr>'s to $config["hr"] all over the place
		  (thanks to Panagiotis Christias)
		- updated Greek strings (thanks to Panagiotis Christias)
		- fixed a parse error in notes/notes.inline.inc.php3
		- fixed issues in mail/mail.main.inc.php3 when sent folder
		  and/or drafts folder is set to be INBOX
		- really allow uploads to go on for up to 5 hours (like
		  the comment in the code has always said it does)
		- fix sqltable and securecookie.sqltable login handlers
		  to work with usernames with "-" in them (thanks to Joe
		  Pruett)
		- updated Finnish language support (thanks to Jorma
		  Tuomainen & Veli Pajula)
		- fixed Preferences pages to check group permissions
		  (thanks to Brian Cary for the detailed report of this bug)
		- fixed Reschedule Meeting to be able to correctly delete
		  a meeting (thanks to Andreas Haase)
		- fixed TWIGExecuteServerCommands() to correctly return the number
		  of errors received from the local SMTP server (thanks to
		  Pete for the detailed report and fix)
		- added German help files (thanks to Andreas Haase)
		- fixed a whitespace error in the MSSQL library
		  (thanks to Giorgio B.)
		- cleaned up strings for News feature, to better separate
		  meaning between "Group" and "Newsgroup"
		- prettified Mail's Folder Overview page
		- fixed all outstanding bugs in Schedule, and fixed a new
		  class of problems by converting to DST safe calculations
		  which do not assume that a day has 86,400 seconds
		- added functions TWIGAddToUTime and TWIGUTimeToJulianDay
		  to help the migration away from seconds-per-day math
		- fixed Mail's spell check couldn't handle contractions or
		  replacement suggestions for concatenated words (thanks to
		  m. allan noah for detailed reporting of this bug)
		- fixed Mail forwarding of attached files erroneously decoded
		  the file name before placing it into the MIME headers
		  (thanks to m. allan noah for detailed reporting of this bug)
		- INBOX is now always considered to exist and be 
		  subscribed
		- added Tongan language (thanks to Damian Sweeney & Sela
		  Latailakepa)
		- updated Hebrew language (thanks to Arie Skliarouk)
		- Main feature now checks if any modules are to be loaded
		  rather than failing with an error when no modules are to be
		  loaded
		- prevent the php4session session handler from being used as
		  it is seriously flawed
		- the sent-mail and drafts folders from the users' prefs are
		  now created and subscribed automatically when the user
		  visits the Mail prefs page
		- new mail folders are now subscribed by default
		- add support for Message-ID header in Mail (thanks to
		  Nicki Messerschmidt)
		- add support for References header in Mail
		- internal and imap-mail mail senders now insert the Errors-To
		  header so that error messages will be sent to the right user
		- fixed imap-mail mail sender
		- added 'GRANT UPDATE ON ... TO nobody;' for each sequence
		  in the Postgres setup and upgrade files
		- made paging in Mail more robust
		- fixed groups providers generated unquoted SQL in one instance

- June 7, 2002 (v2.7.6)
	Bug fixes for 2.7.5 release
	
	Changes from previous version:
		- fixed typo in news posting that cause a PHP error
		- fixed problem with switching folders in Mail causing bad
		  pagination in the mailbox view
		- the timestamp in the URL is now disabled by default but
		  can be enabled with $config["url_timestamp"]
		- fixed problem with contact lists when user has more than
		  one email address (thanks to Brian Ginter)
		- schedule items in weekly view are fully sorted
		- fixed missing space typo in TWIGView( )
		- fixed GPC issue in mail folder creation (thanks to Chris
		  Heschong)
		- fixed Meetings view shows epoch if no due date is set
		- fixed Search tabs using default style mstyle2 not tstyle1
		- fixed problem with vhosts and login form (thanks to
		  Humberto Della Corte)
		- fixed Mail RFC2047 encoded attachment filenames not decoded
		- added function TWIGMailMIMEHeaderDecode to lib/mail/php-*
		  and protected it from pre-PHP 3.0.17 (as the function
		  imap_mime_header_decode was added in PHP 3.0.17 and later)
		- fixed problem in Schedule, selecting an end date to end a
		  recurring item didn't work. (thanks to Brian Ginter)
		- fixed problem in Schedule, When selecting to end a recurring
		  item after a certain number of occurances, it didn't always
		  work. (thanks to Brian Ginter)
		- fixed nested FORM elements in schedule.edit.main.inc.php3
		  (thanks to Ken Petri)
		- fixed logic in TWIGCloseMB() so that maiboxes actually
		  get closed (thanks Ricardo Pedroso)
		- updated Finnish language support (thanks to Jorma Tuomainen)
		- added function pair TWIGMailUTF7Encode/Decode to
		  IMAP library and protected it with function_exists (as the
		  functions imap_utf7_(en|de)code weren't added til PHP 3.0.15)
		- added Header( "Pragma: private" ) to mail.attachment, should
		  ease the pains of IE users with attachments over SSL (thanks
		  to Jorma Tuomainen)
		- added function TWIGMailDecodeQuotedPrintable to take care of
		  de-MIME-wrapping and then decoding a quoted-printable mail
		  attachment, made mail.inc take advantage of this
		- fixed type in Catalan language files, Undelete is Recuperar
		  not Esborrar! (thanks to Jordi Mallach)
		- implemented per-user debugging levels (thanks to Cash
		  Woodward for the original idea)
		- fixed minor bug that could cause current page information not
		  to be instered into the seesion data (thanks to Jim Wilson
		  for pointing out this problem)
		- added FAQ entry for $config["imap_port"] = "143/notls";
		- fixed Main preferences so that you don't see options for
		  features that are not available for your account.
		- fixed language specific <META> tags were not inside the <HEAD>
		- moved <HTML>, <HEAD>, etc. into config/header.inc.php3 and
		  </HTML> into config/footer.inc.php3
		- moved include of features/$feature/$feature.inc.php3 to after
		  the groups code inclusion in index.php3
		- added option $config["brandname"] to config/config.inc.php3 to
		  allow for easier branding of the application to a user site
		- added support for vCard import to Contacts, vCard versions
		  2.1 and 3.0 are mostly supported. export ability coming soon.
		- fixed mail sorting in Main feature
		- fixed table close tag in Mail module of Main feature (thanks
		  Jorma Tuomainen)
		- drafts and sentmail folders are no longer included in menus
		  if they are not subscribed
		- fixed Contacts preferences so that the current sort order is
		  selected (thanks Jorma Tuomainen)
		- added function TWIGImage( ) to replace html img tag chunks
		- fixed Mail save draft did not expand a contact list, causing
		  trouble later on when imap_header tries to put the default
		  domain onto the contact list thus preventing its expansion
		- fixed Schedule's week view does not show items on the 7th day
		  of the week (thanks to Panagiotis Christias)
		- fixed Meetings Main view icon did not have a valid TWIGphrase
		- fixed extraneous blank white line between home and work phone
		  numbers in Contacts 'View Contact' page
		- fixed htmltag language value not in layout for lib/strings
		- fixed 'deleted', 'not deleted' strings not in layout for Mail
		- added name=login_form to the login form, and a FAQ entry with
		  a script that will automatically focus the Username entry box
		- cleaned up duplicate strings 'From', 'Attendance' and 'Group'
		- fixed Meetings invitees shows only your own My Contact; now
		  all members in the group the meeting is in are shown
		- fixed Main feature Mail module was using black magic to show
		  fromaddress rather than TWIGGetMailDisplayName like it should
		- fixed TWIGGetMailDisplayName used $config variable without
		  stating it as global $config
		- added some more FAQ entries: virtualhosts, pop3 settings, and
		  turning register_globals on for newer PHP versions
		- fixed Meetings incorrect font tags in view, todo, invite
		- fixed Meetings todo not displaying Person Responsible list
		- added 'Use?' checkbox to Search feature Mail module criteria
		- fixed Search feature Contacts module default parameters is 1
		- added Greek language
		- fixed parse error in MSSQL library (thanks to Jeraimee
		  Hughes)
		- TWIG can now view progressive JPEG email attachments inline

- Dec 17, 2001 (v2.7.5)
	Bug fixes for 2.7.4 release
	
	Changes from previous version:
		- Added Turkish language
		- fixed userperms group members management page to work right
		  for users with periods or other non-alphanumeric characters
		  in their usernames (thanks to Brian Ginter for this one)
		- make <hr> tags configurable (thanks to David Eitzinger)
		- "ALL" and "Unfiled" no longer link to the edit group page
		  in the group management pages for standard groups
		- added some missing strings to the language files
		- fixed forms login to allow passwords with backslashes
		  when magic quotes is on (thanks to Jeremy Mortis)
		- fixed Main preferences page so that items will only show up
		  on one side of the options boxes
		- global group definitions can now be disabled on a system-wide
		  basis using $disabled["global_groups"]
		- documentation updates
		- better error checking on Mail Folder Management page
		- password changer prefs module should work again, now has hook
		  for custom password changing code
		- updated Spanish language suport (thanks to Jordi Mallach)
		- fixed database errors in the contact lists code
		- fixed group permission checking in Schedule view item page
		- fixed repeated typo that broke virtualhosting
		- fixed situation that could cause problems if the user did
		  not have delete permissions for the default group for
		  new items
		- fixed Postgres dbLastInsertID function to return a row's id
		  field, not the Postgres internal oid for the row
		- fixed TWIGDateCleanup( ) to handle more bad date situations
		- made the contact replacement code pay attention to Unfiled
		- fixed wrong-day problem in Schedule's Monthly view that
		  occurred in the days following a daylight savings time switch
		- fixed missing Polish language encoding
		- fixed missing </form> tag in schedule/schedule.feature.php3
		- fixed Meeting group is reset to Unfiled after setting notes

- Aug 13, 2001 (v2.7.4)
	Bug fixes for 2.7.3 release
	
	Changes from previous version:
		- cleaned up definitions of function dbLastInsertID() to be
		  compatible across all db's
		- dbLastInsertID() returns nothing when it doesn't get a value
		  it needs (and this varies by db as required)
		- fixed userperms.inc.php3 not calling dbLastInsertID with args
		- updated TWIGDateSelector calls in schedule and todo to match
		  the new 2.7 function declaration
		- changed mail.compose to allow 0 default attachments
		- new icon for search feature is not one pixel off
		- added missing entry for "Back to Edit" in all languages
		- replaced short php tag with long php tag in schedule edit
		- replaced short php tag with long php tag in schedule year
		- fixed group permissions checking on the view contact list
		  page
		- fixed problem that kept contact information from being
		  passed from the read message page to the new contact page
		- fixed the default value for the default group for various
		  features in config/defaults.inc.php3
		- fixed variable name issues with TWIGDateSelector in Schedule
		- added missing strings for Search feature Mail module
		- fixed typo in table defs for pgsql, sybase, oracle, mssql
		  where field maxschedule was instead maxscehdule
		- fixed missing quotes around a field in feature Main
		  module Meetings
		- fixed default group for contacts not defined
		- fixed Search feature Mail module linked all messages to
		  INBOX, regardless of the folder they are actually in
		- fixed Main feature Mail module checks obsolete recentmail
		  preference setting
		- sanity checking in Main feature -- trim whitespace from
		  module names in case admin puts spaces in defaults file
		- replaced improper use of require() in Main feature to
		  fix problems where only one Main module would show up
		  multiple times on the Main page
		- removed ampersands from calls to fsockopen to comply with
		  PHP4 rules against setting pass by reference at call time
		- fixed contact list on mail compose screen so that it will
		  show contacts that are in group Unfiled
		- added missing field to table upgrade scripts for tstyle1 in
		  twig_global_prefs
		- removed duplicate table upgrades for twig_meetings_*
		- re-re-fixed all that table upgrade stuff so that it is
		  acutally fixed. . .
		- made TWIGs various features actually obey the user's
		  Prev/Next preference setting
		- fixed FindHTML function so that it will not generate
		  regexp parse errors.  This should fix Bug#103761 in the
		  Debian BTS for the twig package.
		- fixed database upgrade scripts to correctly convert
		  existing standard groups for use with new groups code
		- made vhost config file handling more consistent
		- added docs/virtualhosts.txt
		- made the base config directory easily configurable by means
		  of changing the $config_dir variable near the top of
		  index.php3
		- clicking on the group name in lists of items will now
		  change the current group for that feature
		- TWIG features no longer look for group owners since not all
		  group types have owners
		- changing folders in Mail should always go to the first
		  page of the folder
		- Folder Overview page can now view either a list of
		  either subscribed, unsubscribed, or all folders

- July 10, 2001 (v2.7.3)
	Bug fixes for 2.7.2 release
	
	Changes from previous version:
		- fixed an incorrect variable name in php4session.login.php3
		  which caused advanced secuirty not to populate the default
		  groups correctly as submitted by Ian Gordon
		- added missing tab style string entry in prefs
		- added missing Catalan string entry in prefs
		- fixed postgres upgrade script errors
		- Search mail by date fixed
		- Search mail can display result sets
		- GetPref only marks a pref table as loaded if there is data
		  in that table
		- Added primary menu icons for Search feature
		- fixed bug in standard groups preventing a user from viewing
		  items in a group they own
		- groups code doesn't break join() by passing it empty arrays
		- fixed bug in mail refresh code showing wrong status

- July 6, 2001 (v2.7.2)
	Bug fixes for 2.7.1 release
	
	Changes from previous version:
		- fixed typo in basic security provider which caused a parse
		  error
		- added language variable for <html ... > tag (primarily
		  intended for setting dir=rtl in Semitic languages)

- July 5, 2001 (v2.7.1)
	Bug fixes for 2.7.0 release
	
	Changes from previous version:
		- fixed issue with search for messages not finding a stream
		  pointer
		- added security rights to search module
		- added admin feature for search module
		- fixed incorrect column name in personal groups
		- fixed problem with php3 compatibility in common.inc.php3
		- fixed error in meetings when first selected
		- fixed bug in generating mailto links not properly checking
		  the secuirty as submitted by A.J. Avelar (Fixxxer)
		- fixed bug in prefs code that would cause the default value 
		  not to be returned if a previous call to the same 
		  prefs_table had been executed but no prefs entry in the db
		  table was found

CHANGELOG
- July 3, 2001 (v2.7.0)
	Search feature
	Main modularization
	Meetings on by default

	Changes from previous version:
		- fixed issue with mysql table def file
		- fixed typo in sqltable login handler
		- fixed issue with new groups code when a user did not belong 
		  to any groups 
		- fixed issue with creation of new contacts lists
		- fixed issue with an invalid SQL query being generated if no 
		  contacts were in a list, only groups, as submitted by 
		  Alex Howansky [alex@wankwood.com]
		- fixed issue with message attachements if they did not exist
		  on disk (either failed upload or empty entries in form)
		- added document describing how to install PHP/TWIG with the
		  IMAP client lib built with SSL support as submitted by
		  David E. Gianndrea [mailto:daveg@comsquared.com]
		- increased LID field size values for new installs
		- fixed issue with missing MIME end boundry when sending
		  messages with attachements as submitted by 
		  Joerg Backschues [jbks@tca-os.de]
		- added german graphical menu buttons as submitted by 
		  Martin Lang [m.lang@thiesen.com]
		- added Japanese(EUC-JP code) language file
		- The default feature displayed on login is now
		  configurable via $config["default_feature"]
		- Groups library restructure, clean-up, and numerous bug-fixes
		- New groups type 'userperms' allows group members to be
		  given different levels of access to items within that group
		- Global group definitions are now possible in userperms
		  and standard groups
		- Newlists code now has three new functions:
		  TWIGListGetItem(), TWIGListItemHeader(), and
		  TWIGListItemFooter()
		- Meetings can now schedule a meeting (oopsie)
		- Meetings properly views meeting listings (LEFT JOIN gone)
		- Modularized the Main screen compact displays
		- ToDo has a compact Main display
		- Meetings has a compact Main display
		- Mail's compact Main display modularized
		- Schedule's compact Main display modularized
		- Schedule's compact Main display de-modularized
		- Fixed reply to all problem in cc line
		- Added spaces between addresses in messages to faciliate 
		  wrapping as submitted by Christopher Heschong
		- Updated main list to show to address in drafts folder
		- Fixed issue with saving drafts when addresses contained quotes
		- Fixed problem with pgsql and certain field names as submitted
		  by Tim Dunnington [timbert@timshouse.com]
		- Fixed problem with spell checking a message with \'s in it
		- Fixed problem with recomposing a message with \'s in it
		- Added support for hyperlinks in form display of text fields
		  as submitted by James Yonan
		- Fixed logic in smtp send logic for from address brackets as 
		  sumbitted by Gordon Messmer
		- Added quotes to Content-Disposition line when sending 
		  attachments to conform to spec
		- Added Catalan language
		- Complete rewrite of html cleaning function to catch more 
		  harmful script problems
		- Fixed problem with replying to messages with \'s in it
		- Replaced all uses of _new with _blank to conform to standards
		  when opening a new window to display pages in
		- Added <wbr> between button style menu's to allow them to wrap
		  in some browers as sumbitted by Jim Wilson and David Burry 
		- Fixed table defs for oracle
		- Fixed issue in schedule showing the incorrect list of groups
		- Expanded options list on main to include a features list
		- Bookmarks main list now has spaces between columns
		- Added two new functions: TWIGGenerateLeftRightOptions()
		  and TWIGProcessLeftRightOptions()
		- Added two new optional parameters to TWIGGenerateTable:
		  $width and $align, corresponding to HTML table
		  attributes of the same name.
		- Main preferences rewritten to accomodate new Main code
		- Turned Meetings on by default. Hooray!
		- Fixed many small bugs in Meetings
		- TWIGDateSelector( )'s first argument is now $prefix,
		  just like TWIGTimeSelector( ).
		- Search feature added
		- Tabs now have a global preference (for people who want
		  their tabs to look like menus instead)
		- Added two new functions: TWIGTimeCleanup() and
		  TWIGDateCleanup(). They complement the time and date
		  selector functions of similar name.

- Jan 08, 2001 (v2.6.2)
	Bug fixes for 2.6.1 release

	Changes from previous version:
		- Added french help files for main, mail, contacts and admin as
		  sumbitted by Vincent Carpentier
		- Fixed several issues with new string generator and escaped
		  characters
		- Added admin option to control new from preference
		- Fixed issue with displaying multi line descriptions in 
		  several features
		- Added check to ensure that perferences are enabled before
		  showing the command on the primary menu
		- Fixed incorrect $disable name for new from command in 
		  config.inc.php3
		- Fixed issue that would cause a group to be not deleted when
		  the user requested it
		- When copying an item in a feature which does not belong to
		  the user, the new entry is assigned ownership of the current
		  user
		- Added several missing strings for translations
		- Removed use of short php tags that were missed
		- Fixed several issues with contact subsitition not working
		  correctly
		- Updated schedule view to use proper translation when 
		  displaying dates
		- Removed duplicate column in mysql table def

- Dec 20, 2000 (v2.6.1)
	Bug fixes for 2.6.0 release

	Changes from previous version:
		- Fixed sql error when updating a contact list entry
		- Updated sql upgrade scripts to set a default recurtype to 
		  existing schedule items
		- Fixed mail address generation code in certain parts that did
		  not properly handle the case where the user name was a 
		  complete e-mail address
		- Added Korean language as submitted by Manhwa Lee
		- Fixed incorrect function call in meetings to PrintError
		- Menu button updates as submitted by Dicky Tyree
		- Fixed bug in contacts main list when displaying full name
		- Added missing field to sql update scripts
		- Fixed issue with importing contacts did not display pegasus 
		  option
		- Update new string layout file to include some missing strings
		- Fixed mysql table def 
		- Fixed duplicate prefs entry in help

- Dec 18, 2000 (v2.6.0)
	Happy Second Anniversary! Way to go TWIG!
	Contacts list feature addtion and recurring items in schedule release

	Changes from previous version:
		- Fixed bug when importing Outlook contacts that reversed two
		  items
		- Reorginized the string file layout and generation
		- Fixed a few instances of where disabling groups left visual
		  traces in certain features
		- Fixed font size in table headers as submitted by Martin
		  Langhoff 
		- Fixed issue with mail folders not being auto created when 
		  moving items to them (like drafts or sent) as submitted 
		  by Daniel Cates
		- Added configurable from address to mail prefs (disabled by 
		  default in config.inc.php3)
		- Updated advanced acl tables to stop using the reserved field
		  name of identity on some sql servers
		- Fixed an issue that caused the current user to be added 
		  multiple time when replying to all
		- Updated message delete logic as submitted by Bill Carlson
		- Added pref to mail to allow the user to always return to the
		  main message list when deleting a message
		- Re-orginized the order of some secondary menus to be a bit
		  more user friendly
		- Re-orginized the prefs screen to be a bit more user friendly
		- Added Pegaus Mail contact import code as submitted by 
		  Daniel Cates
		- Changed twig_announcements field from date to thedate due
		  to confilict as submitted by Geoff Wilson
		- Added Oracle auth provider as submitted by Geoff Wilson
		- Updated news admin feature to include support for 
		  adding/deleteing global newsgroup definitions
		- Fixed issue with treeview and multiple user accounts in 
		  cyrus IMAP server as submitted by Roland Pope
		- Fixed issue with link highlighting when a $ was present as
		  submitted by Alex Howansky
		- Fixed issue with folder management that could allow a folder
		  to be subscribed to but never unsubsribed as submitted by
		  Roland Pope
		- Fixed problem with checking for drafts folder if the user had
		  changed from the default as submitted by Roland Pope
		- Recurring items in schedule are now supported
		- Fixed problem that caused the securecookie login handers to 
		  lose authentication in certain circumstances as submitted
		  by Xavier Roche
		- Added support for uuencoded files in news
		- Fixed bug that caused the original attachments of a forwarded
		  or replyed to message to be sent no matter what if another
		  attachment was added to the new message
		- Fixed message view to allow for sender's name to be added
		  to the users contacts
		- Some internal re-arranging of function names and global
		  variables
		- Fixed issue with some languages when setting the sort by
		  preference for a feature
		- Fixed issue with some pages where an error was reported
		  that $check was not an object
		- Added support for dbconfig.inc.php3 loading with vhosts
		- Fixed several prefs modules that were reading the wrong 
		  viewgrps entry as submitted by Brian Ginter
		- Fixed security hole with respect to vhosts
		- Split Meetings edit and view into pages.
		- Matched Meetings edit and view pages to standard format.
		- Added $Fields to TWIGListItem{Edit|View}Form{Header|Footer}()
		  functions.
		- Fixed TWIGListItem... if no $GroupQuery is set.
		- Split English language files into a new format.
		- Updated features and English language files with spelling and
		  grammar and capitalization fixes.
		- Updated features and English language files with improvements
		  in consistency.
		- Added "My Contact" Preferences module.
		- Added list functionality to ToDo feature.
		- Added shared ToDo list feature.
		- Added page to create/modify a ToDo list from Meetings.
		- Other consistency issues in the list features (code, calls,
		  appearance).
		- Fixed Schedule weekly view to range from weeks 1 - 52, instead
		  of 0 - 51.
		- Added images for english secondary menu button bar as 
		  submitted by Dicky Tyree
		- Added support for contact lists
		- Changed default view group to all instead of unfiled
		- Fixed bug that caused the ALL group to be selected in some 
		  browsers when it should not have been
		- Forced border in advanced announcements to be set to 0 instead
		  of browser default
		- Fixed issue with schedule submenu not being displayed in 
		  correct style
	
- Nov 01, 2000 (v2.5.1)
	Bug fixes for 2.5.0 release

	Changes from previous version:
		- Fixed date display issue in schedule's weekly/list view
		- Fixed issue with de-selecting notime in schedule for an item
		- Compose window lines now resets to the default if set to 0
		- Updated config options in admin manual
		- Fixed issue with INBOX sometimes not displaying during a 
		  mail check in the footer
		- Fixed issue with schedule's yearly view whiched caused all
		  but Jan. to start on $config["firstdayweek"]
		- Fixed issue with secondary menu items sometimes not 
		  displaying in the currently selected menu style
		- Updated french, czech and german translations
		- Fixed issue with attachment code which would drop any 
		  additional attachments added to a reply/forward message
		  if the original message attachments were being retained
		- Fixed issue with sqltable login handler if a password was
		  changed during a session
		- Fixed issue with current group being replaced with default
		  group when editing an item
		- Fixed missing email field in announcements table definitions

- Oct 30, 2000 (v2.5.0)
	Bug fixes for 2.4.0 release and additional features

	Changes from previous version:
		- Fixed main's mail list so if another folder was selected in
		  mail it main will load the correct message
		- Fixed issue with displaying multi-year item in schedule
		- Fixed missing security check with schedule edit feature as
		  submitted by Jean-Charles Godien
		- Fixed problem with displaying multi-month items in schedule
		  as submitted by Jean-Charles Godien
		- Fixed missing phrases with schedule admin feature as 
		  submitted by Jean-Charles Godien
		- Mail that has CC or BCC items rejected by the SMTP server
		  when using the mail relay code will now no longer abort
		  the message but instead send it and report warnings
		- Fixed bug that added slashes to message bodies during 
		  composition and changing the number of attachments as
		  submitted by Sebastien Guillemin
		- Enabled user name management for all configurations in the
		  admin module under accounts
		- Fixed issue with not encoding url lines correctly in groups
		  when there were spaces in the group name as submitted by
		  Sebastien Guillemin
		- Fixed issue with sqltable login handler in which in some 
		  cases a session would be lost as submitted by Jim Wilson
		- Added new advanced announcements system (uses db table and
		  can be configured through the admin interface)
		- Moved various $config[] options over to defaults.inc.php3
		  where they should have been
		- Fixed problem with postgres tables as submitted by 
		  Sebastien MARAUX
		- Added angle brackets to outgoing mail addresses to conform
		  to RFC821 in mail relay code
		- Added move and expunge pref to mail (similar to delete and
		  expunge)
		- Added yearly view to schedule
		- Added support for due dates in TODO
		- Updated pgsql driver to be in sync with pgsql-new's features
		- Changed default sql username field size to 128 instead of 20
		  (use setup/upgrade/change.username.size.sql to alter 
		  existing tables, note this will not work with postgres)
		- Added option for number of lines to display of the body when
		  composing a new message
		- Added support for 'remembering' which group was being view
		  in which feature so that changing the current group in one
		  feature does not effect any other feature
		- Added support for default group to view in various modules
		- The main prefs feature now translates the current module name
		- Updated mail prefs to support read only if advanced security
		  is used
		- Updated mail prefs to be aware of which options have been
		  enabled or disabled through the security system
		- Added support for including attachments from the original
		  message when sending reply's or forwarding the message
		- Added support for user definable action on Read Receipts, 
		  user can select to never send a response, manual send a
		  response or always send a response		
		- Fixed bug that would cause mail to be disabled when it should
		  not have been
		- removed extra loop construct as submitted by Sebastien MARAUX
		- Fixed issue with setting unfiled as the default group in a
		  group list
		- Fixed bug that would cause drafts not to appear in folder
		  list
		- Fixed bug in drafts folder where moving or copying messages
		  to it would fail (message would still be where it was)
		- Group lists are now sorted alphabeticly
		- Fixed problem with pgsql db lib which would cause certain
		  queries (esp. group based changes) to no work with the
		  unfiled group
		- Removed duplicate sql query in todo list as submitted by 
		  Sebastien MARAUX
		- Fixed issue with checkin for drafts folder
		- Fixed issue with sending mail where TWIG would not report
		  a failure correctly
		- Fixed pgsql advanced security table definition
		- Fixed issue with moving items between groups through the main
		  list interface
		- Fixed issue in folder management that would report an error
		  if no folders were subscribed
		- Added Setup-Apache-PHP-IMAP-TWIG-pgSQL.txt doc file
		- Virtually complete meetings code rewrite
		- Removed code in mail delete that required php3.0.13 or 
		  greater
		- Fixed bug when deleting a message under certain circumstances
		  you would be droped to a blank page instead of the main mail
 		  list

- Oct 16, 2000 (v2.4.0)
	Schedule updates and TODO updates

	Changes from previous version:
		- added new login handler (securecookie.sqltable)
		- added new login/session handlers (securecookie.php4session,
		  php4session) by Xavier ROCHE [roche@serianet.com]
		- Add check to php4session (login handler )to check to see if 
		  a session had already been start
		- Updated setup docs to current versions of various software
		- Fixed issue with POP support and deleting messages where TWIG
		  would delete the wrong messages as submitted by Pedro Torrao
		- Added In-Reply-To support to mail when replying to a message
		- Fixed bug in contacts import that caused invalid sql 
		  statements to be generated
		- Fixed bug that caused slashes to be added to a message
		  body when adding entries from the contacts list
		- Fixed bug in standard groups that caused groups to be 
		  listed twice if the user was the owner and a member
		- Fixed non rfc-821 compliant behaviour when sending a
		  message
		- Fixed schedule's daily view to go to add instead of edit
		  on the icon as submitted by Pedro Torrão
		- Fixed bug in TODO feature which caused invert sorting not
		  to function as expected, as submitted by smaraux
		- Fixed error in schedule day that cause some sql servers to
		  return errors
		- Added Dutch string file as submitted by paulv
		- Updated default folder list to include drafts
		- Updated mail header display to place a nbsp on blank lines
		- Updated spell checker to be more secure
		- Fixed error with number of fields in the dbasesql news 
		  prefs table
		- Fixed minor issue with switching to unfiled group in some 
		  instances
		- Fixed minor bug in TWIGContactReplace()
		- Fixed mysql db code to use the sqlport setting as submitted
		  by Joseph Frolick
		- Fixed missing \r\n after content-type line in attachments
		  as submitted by Hannu Hirvonen
		- fixed duplicate headers in message print option
		- fixed contacts in the unfiled group to always appear from 
		  the default group instead of unfiled
		- fixed typo in mysql table def file in news table
		- added support for read-receipts in mail
		- added support for no-time schedule items
		- removed php4 specific code from news as submitted by 
		  Brian Rozmierski
		- added multi-day event support to schedule
		- updated bookmarks, notes, todo to better handle large lists
		  as submitted by Victor M. Varela
		- fixed bug in news regex call that cause newsgroup lists to 
		  fail
		- added tree view code for mail
		- added support for defining font sizes
		- added new secuirty options for schedule items
		- updated bookmarks, todo, schedule menus to check to see if 
		  functionality was available to the user before displaying 
		  options
		- removed all references to $PHP_SELF which were causing page
		  load failures on some platforms
		- fixed problem that cause the save of a draft message to 
		  duplicate the address information
		- the contacts list in the new message screen is now sorted
		  according to the contacts sort preference
		- added several secondary menu image definitions
		- fixed duplicate sig line addition when spell checking a 
		  message
		- notes, bookmarks and todo have been moved over to the new 
		  lists code
		- fixed output redirection format of twig_install script
		- added quick setup guide for Redhat Linux
		- added check for a spell checker being defined during message
		  composing
		- fixed display of company name in contacts view
		- performance imporvements in contacts and lists code
		- added quotes around names from contacts when adding them to 
		  messages
		- added case insenstive sorts for various lists
		- fixed problem with renaming subscribed folders

- July 03, 2000 (v2.3.2)
	Bug fix release for 2.3.1.

	Changes from previous version:
		- added close font tag in footer.inc.php3 that was left hanging
		  from the header.inc.php3
		- added interbase auth provider
		- fixed mssql table defs to use datetime instead of timestamp
		- fixed test.php3 to include the missing arg during imap test
		- fixed news code to start counting messages at 0 instead of -1
		- added a few missing image definitions for secondary menus
		- added support to news code for user authentication during
		  news posting
		- fixed bug that cause the moving of a message from the message
		  view to fail with a parse error
		- added support for subsribing to multiple news folders in a 
		  single form submit
		- fixed null insert problem in prefs code
		- fixed incorrect definitions in the postgres sql tables files
		- fixed a few bugs in the interbase db layer
		- added support for a site to define the first day of the week
		  in schedule

- June 13, 2000 (v2.3.1)
	Bug fix release for 2.3.

	Changes from previous version:
		- fixed bug in mail, folder management that reported errors if no
		  folders were subscribed
		- completed new menu type of buttons without text for all submenus
		- new schedule view, calendar
		- fixed problems with button names and international translations
		  failing
		- fix in mail relay code to remove extra line when sending a
		  message which cause some mail servers to give error reports
		- new auth provider to allow authentication against an imap 
		  server but limit which users can use TWIG
		- fixed bug in mail that caused inline graphics not to display
		- many updates to the various files to fix a pile of spelling
		  errors
		- fixed bug in schedule maintance code that cause sql parse
		  errors
		- postgres table updates
		- interbase table updates
		- fixed bug in notes with sort orders
		- addition of spanish help files

- June 5, 2000 (v2.3.0)
	Planned schedule update release as well as various other additions

	Changes from previous version:
		- fixes for the ibase layer
		- fixed bug that caused news prefs not to save
		- new menu type of buttons without text
		- added maintenance feature to schedule to allow for the deletion
		  of records older than a given date
		- day/month inputs in schedule now use drop down lists instead
		  of text entries
		- help is now enabled by default
		- addition of lots of help files for various features
		- contacts now supports both viewing details and editing an 
		  entry as separate features
		- added support for user selectable 12 or 24 hour time formats
		- schedule view's now return to themselves after adding items
		  or changing preferences
		- added weekly and list view's to schedule
		- fixed bug in TIWGGenreateTable() that cause colspan to be
		  ignored in the contents of the table
		- fixed bug in postgres code that incorrectly parsed 
 		  time/date's from the database
		- schedule now uses 12 or 24 hour formats based upon the format
		  used in $config["timeformat"]
		- added support for different mail delivery systems to be 
		  defined by the system admin, currently only the internal
		  php mail() function and the mail relay systems are supported
		- updated test.php3 to include common.inc.php3 so that error
		  messages are printed out correctly
		- fixed bug in header display code in mail
		- removed extra comma's from the mysql table def file
		- support for 'hiding' the text part of a mail message
		- added 'simple' menu style for better compatibility with text
   		  based browsers
		- added support for adding more than one attachment to a 
		  message during composition
		- new db support: interbase
		- new feature: notes
		- TWIG now strips forms from html attachments when viewed
		- added several help files for various features
		- fixed bug in acl admin page with missing action tags on
		  forms
		- found a few left over strings that were hard coded in english
		  and replaced them with $TWIGphrase calls
		- folder management screen now sorts folders
		- new feature: meetings for managing group meeting schedules
		- various admin manual updates
		- sqlimap auth provider is now case insensitive
		- added option to add an additional header to outgoing messages
		  that records the client's IP address, disabled by default
		- added the start of a pop3 with virtual folder support, 
		  currently not function, will be completed in a future release
		- updated sqltable login handler to generate better unique id's
		- fixed bug in schedule which caused group changes to lag a 
		  page load behind
		- fixed bug which caused the mail signature not to be appended
		  to a message which was created with reply to all
		- updated mail and news to remember which list screen was being
		  displayed and return to it after going to another page
		- added pop3 auth provider
		- updated todo list to include new status codes
		- fixed error in test.php3 when checking for php version
		- abstracted the folder string manipulation code to the mail
		  library file
		- fixed bug in main display when no messages to be displayed
		- added polish translation
		- added check for the contacts feature being available during
		  mail composition
		- minor cosmetic updates to message view screen
		- fixed problem with prev/next system after certain form 
		  submissions
		- removed dependency of a sent folder being defined
		- Added beta support for pop3 mail
		- Added ACL Group member display feature to acl admin page
		- Performance improvements, changed several include()'s to 
		  require()'s
		- fixed several bugs in next/last display's
		- Added multitabs+arrows+fl.prevnext.php3 prev/next type
		- Change Cyrus IMAP server support to no longer require a custom
		  setting ($config["imap_cyrus"])
		- prev/next message when viewing a message will now follow the 
		  sort order that the user is currently using
		- updated the full header display to reduce redundancy
		- updated test.php3 to check for php version correctly
		- fixed mime string decode to handle case insensitive strings 
	          and longer strings as submitted by Andrew Katkov
		  [askat@elis.crimea.ua]
		- abstracted mail interface to IMAP servers to allow for other
		  types of mail systems to be used in future releases
		- added support for logout re-direction
		- added support for converting between character sets as 
		  submitted by Andrew Katkov [askat@elis.crimea.ua]
		- fixed problem with storing user/pass with single quotes in to
		  sql tables.
		- various html tag and $TWIGphrase updates
		- sybase table def update
		- added more support for multipart messages
		- fixed bug in group selector in schedule day view

- Mar 15, 2000 (v2.2.3)
	Critical bug fix from TWIG 2.2.2

	Changes from previous version:
		- fixed parse error on mail prefs page
		- updated various language files
		- several more font tag additions
		- several more alignment fixes
		- fixed bug in help which cause sub topics to be unselectable
		- fixed bug in schedule which caused group changes to fail

- Mar 14, 2000 (v2.2.2)
	Bug fix release for TWIG 2.2.1

	Changes from previous version:
		- updated codespec.txt (don't worry, only developers 
		  will care :)
		- extended twiglink() to allow for session/context entries
		  to be overridden (don't worry, only developers will care :)
		- replaced several hard coded bg color's with appropriate
		  $config[] entries
		- replaced hard coded english with $TWIGphrase in mail
		  prefs as submitted by Markus Behr [markus.behr@ebox.de]
		- added back to schedule menu in schedule edit screen as
		  submitted by Markus Behr [markus.behr@ebox.de]
		- updated oracle driver to support $dbconfig["defaultdb"]
		- integrated twig.security.txt in to codespec.txt
		- added php4session login handler as by Kaj-Michael Lang 
		  [milang@tal.org]
		- fixed mail header viewing to display multi-line headers
		- fixed bug in outgoing messages which cause the Date:
		  header to be excluded
		- added language support to header display command in 
		  message view
		- fixed several problems in oracle db support
		- fixed possible invalid URL generation bug in contacts
		- added missing font tag in main feature
		- fixed typo in oracle driver that display an undefined
		  function error
		- added sybase support
		- multiple updates to schedule's day view
		- fixed display of date in schedule's daily view
		- multiple language file updates
		- fixed display problem with schedule that mixed up the
		  times for items when in compact display mode

- Mar 7, 2000 (v2.2.1)
	Bug fix release for TWIG 2.2.0

	Changes from previous version:
		- added UPGRADE document
		- no cache control headers are now sent when retrieving
		  attachments to solve an issue with some browsers failing
		  to correctly transfer the file.
		- fixed typo in imap set flag call in the mail feature
		- updated spanish and german translations
		- fixed bug in postgresql setup script
		- added missing string in the ACL admin module
		- fixed multiple problems with the postgresql upgrade scripts
		- added base64cookie login handler
		- fixed bug in new user logons when using advanced security
		  that caused the user to not be added to the appropriate 
		  groups
		- fixed several groups bugs in schedule
		- fixed problem with saving messages cause message to be
		  sent
		- fixed time display for compact schedule display

- Feb 29, 2000 (v2.2.0)
	Oracle SQL server support release

	Changes from previous version:
		- fixed issue with the sort order of mail messages being
		  lost between 'pages' in the mail list
		- fixed bug which caused entries without an email address 
		  to display the email
		- fixed bug that caused mailto: lines not to be replaced
		  with advanced security
		- fixed bug in using drop down list as a menu type
		- added support for Oracle SQL server
		- performance enhancements
		- multi lingual support for date strings
		- fixed bug in day view in schedule not showing the correct 
		  time
		- added multiple new indexes to the sql tables for better
		  performance
		- added multiple new prev/next styles
		- added support for saving messages and then recomposing
		  them later
		- added experimental get2 session handler
		- added display of message size in message list
		- fixed news bug that didn't open messages in new windows
		- fixed news bug when switching between 'pages' cause
		  incorrect articles to be displayed
		- added message header display option when viewing mail
		  messages
		- updated sqltable session handler to reuse session id's
		  when appropriate
		- updated sqltable session handler to clean up after it's
		  self better
		- added viewing of html mail messages in separate window
		- added scheduling of appointments in 5min increments instead
		  of 15
		- fixed incorrect dbasesql file definitions
		- added date selector to schedule page
		- fixed bug in personal groups showing two 'unfiled' groups
		
- Jan 12, 2000 (v2.1.1)
	Bug fix release for TWIG 2.1.0

	Changes from previous version:
		- fixed problem with renaming IMAP folders
		- added check for unaddressed messages
		- fixed bug which would add a signature line to a message
		  multiple times in some circumstances
		- fixed several more hard coded strings to use translations
		- added images for the primary menu bar
		- removed border on button bar style menus
		- added russian translation
		- fixed several table related problems for Netscape
		- fixed several incorrect form tags
		- re-added the features/admin/users directory which got lost 
		  some how
		- fixed a couple of php4 related problems
		- fixed bug with cyrus and sent-mail folders
		- added chinese gb translation
		- fixed problem with dbasesql files being out of date

- Dec 29, 1999 (v2.1.0)
	Contacts Update and various bug fixes

	Changes from previous version:
		- added several new translation files
		- updated news support for INN servers, fix submitted 
		  by Ronan-Yann LORIN [rylorin@on-x.com]
		- added acl group list option in accounts management page
		- structural changes to the group support code to allow for
		  future expansion
		- portuguese language file added
		- various hard coded phrases replaced with appropriate 
		  translation phrases
		- added language administration page to assist translation
		- added user pref option for changing passwords 
  		  (sqltable based only)
		- fixed various problems with single quotes in form entry
		- fixed a bug with inverse sortorder not using defaults
		- added structure for help system (no help files yet)
		- fixed issue with using sqltable login handler
		- several html tag fixes
		- added new news and contacts preferences
		- added support for setting of defaults for all prefs per 
		  site
		- added support for adding multiple contacts to new messages
		  through a list with support for to, cc and bcc
		- converted mime string decoding functions to work in old
		  versions of php3
		- added move/copy/delete/select functionality to contacts
		  similar to mail
		- added support for session length cookies
		- added multi-page support to contacts list
		- added support for viewing messages in a printer friendly
		  format

- Nov 17, 1999 (v2.0.3)
	Bug fix release for TWIG 2.0.2

	Changes from previous version:
		- replaced several icons to better represent the status
		  of mail messages
		- updated bookmark code to add 'http://' in front of
		  links if they need it
		- updated group support to allow for installations
		  without groups enabled, if you wish to disable group
		  support you now must set $config[groups] to none
		- updated sqltable login handler to properly store
		  passwords when not using sql based auth systems
		- updated twig_install as submitted by Kendrick 
		  Vargas [ken@go-net.com] 
		- added nntp auth provider
		- lots of news updates
		- added code to check for at least one mail recipient 
		  before attempting to send a message as submitted by
		  krogerm@rocky.edu
		- added support for completing email addresses with
 		  domain name when contacts is disabled as submitted by
		  krogerm@rocky.edu
		- updated support for finding mail addresses and url's in
		  text, including message bodies 
		- added Danish translation submitted by 
		  kim Deleuran [kde@ksc.dk]
		- fixed a bug in basic auth that caused errors to be 
		  printed when logging out
		- fixed a bug which prevented quoted-printable encoded
		  messages/attachments from being displayed/downloaded
		- upgraded attachment code to work better with proxies
		- fixed mail viewer to display mails with more than 9 
		  attachments

- Nov  9, 1999 (v2.0.2)
	Bug fix release for TWIG 2.0.1

	Changes from previous version:
		- added table def and db support for MSSQL7
		- fixed bug with the schedule feature not displaying the 
		  All group
		- fixed bug in sent folder pref that cause the wrong folder
		  to be used
		- changed the default auth provider from imap to imap-new
		- changed folder overview page to open mailboxes in read only
		  mode to function correctly on older imap servers
		- added config/mailfooter.inc.php3 which appends the 
		  contained text to each outgoing message
		- update mime attachment code to deal with mime forwarded
		  messages
		- fixed problem with editing groups, fix submitted by 
		  Derek Snider [derek@bluegenesis.com]
		- minor fix in folder overview page to handle instances when
		  there are no subscribed folders
		- removed password column from admin->accounts
		- updated support for finding mail addresses and url's in
		  text, including message bodies
		- fixed display bug in new tab generation code

- Nov  1, 1999 (v2.0.1)
	Bug fix release for TWIG 2.0.0

	Changes from previous version:
		- updated support for finding mail addresses and url's in
		  text, including message bodies	
		- fixed minor issue with basic security showing errors on the 
		  acl admin page
		- added support for sys admin definable acl groups to add new
		  users to
		- fixed issue with IE that caused attachments not to download
		- updated spell checking code to properly check lines that
		  have 'words' in them that are not checked by ispell/aspell
		- fixed bug that caused a user's language setting to be 
		  ignored on the first page load after login
		- fixed minor bug in mail prefs which prevented the current
		  sent-mail folder from being auto selected
		- added additional buttons to mail compose form for easier
		  sending and spell checking
		- added new move/copy functionality to the main mail page
		- news group updates to fix a few left over issues with 
		  the conversion to the new codespec and to deal with more
		  nntp servers during article posting

- Oct 25, 1999 (v2.0.0)
	Initial release of TWIG Version 2.0.0

	Changes from previous version:
		- updated lib/db/sqltxt/dbf/twig_groups.def.php3 for new
		  group table layout
        	- update to admin->schedule module to display correct 
		  description of second option
        	- updated findhtml() to better support various mail, ftp
		  and http links
        	- fixed bug where the message count is incorrect when the
		  page size is blank and there are no mails in the mailbox


- Oct 19, 1999 (v2.0.0 beta3)
	Third beta release of TWIG Version 2.0.0

	Changes from previous version:
		- fixed error when contacts is disabled and a user sends
		  a mail message
		- minor change in pgsql upgrade script for rename syntax
		- fixed bug that caused folders to not be deleted
		- minor bug with getting attachments from MUTT fixed
		- now print the mail headers in an html safe manner
		- fixed minor bug in attachment viewing code which
		  caused message to be deleted instead
		- added support for user:pass pairs in url parsing in mail
		- fixed issue with spell checking only doing part of the
		  message
		- added configuration setting for default setting of save
		  sent mail option
		- modified sqlimap to update passwords in twig_accounts
		- added check for disabled contacts feature in msgview
		- fixed minor bug in main page when < and > are in a
		  mail subject
		- fixed minor bug when selecting all messages in the mail
		  list
		- added support for displaying iso character sets in mail 
		  header lines
		- add check to new message line for mail being disabled

- Oct 11, 1999 (v2.0.0 beta2)
	Second beta release of TWIG Version 2.0.0

	Changes from previous version:
		- updated spell checker to replace words instead of just
		  giving suggestions
		- minor updates to mail list display for performance
		  enhancements
		- fixed several minor group related display problems
		- add check for main feature to see if the schedule feature
		  is disabled or not
		- removed extra table tags from main feature which were
  		  causing the schedule table to displayed incorrectly
		- added scripts in setup/upgrade to convert twig1 db tables
		  to twig2 db tables
		- replaced htmlentities() with htmlspecialchars() to allow
		  support for double byte language support
		- fixed problem where deleting a message and then selecting
		  the next/prev buttons would delete the message you were
		  changing to
		- added support to contacts for empty fields in the display 
		  table
		- added checks for both preference being disabled and feature
		  being disabled in the main preferences module
		- several spelling related fixes
		- updated main feature to allow for display of messages with
  		  no subject.
		- added nowrap support to the mail list for the date entry
		- added additional wording of a FAQ question
		- fixed the goto line so that it can be disabled
		- fixed contacts display of entries with no 'full' names
		- added default option to prefs so that config.inc.php3
		  defaults will work correctly on user settable preferences
		- re-order of form buttons in mail list
		- several minor updates to in strings.inc.php3 files

- Oct  1, 1999 (v2.0.0 beta1)
	Initial beta release of TWIG Version 2.0.0
	
	Changes from previous version:
		- too numerous to list :)


- Aug  1, 1999 (v1.0.3)

	Changes from previous version:
		- Bug fixes and cleanups. Fixes a 'showstopper' in 
		  attachment sending.

 - Jun 24, 1999 (v1.0.0)

	Changes from previous version:
   		- A few final bugfixes.  Other assorted cleanups.

 - Jun 23, 1999 (v0.3.10)

	Changes from previous version:
   		- Many, many bugfixes.  Preparations for 1.0 release on 
		  their way.

 - Jun 08, 1999 (v0.3.9)

	Changes from previous version:
   		- Bookmarks feature is now working again.  
		- Updated FAQ
		- cosmetic & consistency changes.

 - Jun 07, 1999 (v0.3.8)

	Changes from previous version:
		- New images
		- More documentation, FAQ.  
		- Cosmetic cleanups, bug fixes,
   		- New configuration variables.

 - Jun 01, 1999 (v0.3.7)

	Changes from previous version:
   		- attachment fixes
		- ISO-8859 message support
		- folder management
		- Cyrus IMAP server fixes
		- pgSQL server fixes
		- UI inconsistence fixes: titles.  
		- Enhanced documentation.  
		- New: mail relay feature 
		- New configuration variables

 - May 26, 1999 (v0.3.6)

	Changes from previous version:
   		- Fixed groupName() bug. 
		- Updated documentation.  
		- IMAP folder patches.
   		- More db fixes.

 - May 23, 1999 (v0.3.5)

	Changes from previous version:
   		- Schedule fixes. 
		- Mail-only mode is now supported.  
		- Better documentation.

 - May 21, 1999 (v0.3.4)

	Changes from previous version:
   		- Attachment fixes.  
		- Minor bugfixes.

 - May 20, 1999 (v0.3.3)

	Changes from previous version:
   		- Empty Groupnames now show up as "[empty]"  
		- Folder management now works properly. 
		- Usenet Newsgroup Support has been added! 
		- Several cosmetic fixes and other bugfixes.

 - May 19, 1999 (v0.3.2a)

	Changes from previous version:
		- Basic authentication now works again.

 - May 19, 1999 (v0.3.2)

	Changes from previous version:
   		- Submitted Bugfixes.

 - May 05, 1999 (v0.3.1)

	Changes from previous version:
   		- Bugfixes
		- Folder management enhancements
		- pgSQL improvements
   		- and more thanks to bugfixes from Craig and Greg.  Most 
		  notably, the security fixes for the login procedures.

 - Apr 04, 1999 (v0.3.0)

	Changes from previous version:
   		- Authentication can now be done via forms or HTTP.  
		- Configuration variables are stored in the $config array.  
		- TWIG can be virtualhosted by creating directories named 
		  after the $SERVER_NAME in config and/or images directories.
		- Removed timesheet app, as it will be better off on it's own.
		- Some attachment fixes.  
		- New functions for session management, etc.  
		- Basic list-type editing is now generically done by a 
		  listing feature and an editing feature.  
		- Implemented Craig's idea of a good default page.

 - Mar 23, 1999 (v 0.1.8)

	Changes from previous version:
   		- Fixed endmsg bugs.  
		- Fixed folder bug.  
		- Fixed mysterious "document contains no data" bug.  
		- Versioning changed to 0.1.x.  
		- Fixed URL linking.
   		- Moved sources to CVS.

 - Mar 22, 1999 (v 0.1pre7)

	Changes from previous version:
   		- Newest messages are now listed first, and many associated 
		  bugs have been fixed.  
		- Form size in message composer is now associated with
   		  linewrap preference.  
		- Number of messages per page is now user-configurable 
		  (DB change).  
		- Added a test script.

 - Mar 19, 1999 (v 0.1pre6)

	Changes from previous version:
   		- Places in the code that need to be fixed are labeled FIXME.  
		  grep for them if necessary.  
		- Bugfixes, bugfixes.  Some more bugfixes.  
		- Default page now lists number of scheduled items.  
		- Fixed linewrap bugs and made the automatic linking 
		  stuff faster for large messages.  
		- twigLink() now creates unique URLs no matter what.  
		- Mailbox can now be sorted or reverse sorted.  
		- Page sizes are now in place for mailbox views.  
		- Replys and Forwards now ignore attachments.  
		- Folder management is now under prefs.
   		- Some HTML or text attachments can now be viewed inline.

 - Mar 08, 1999 (v 0.1pre5)

	Changes from previous version:
   		- Groups bugfixes.  
		- Full message headers are available in comment form in
   		  the HTML source.  Fixed bookmark editing bug.  
		- Fixed folder breakage.
   		- Increased size of phone number fields.  
		- Lots more bugfixes.

 - Feb 23, 1999 (v 0.1pre4)

	Changes from previous version:
   		- New mail notification on every page.  
		- Some bugfixes.  
		- Priority is now listed.  
		- Group fixes and additions.  
		- Added twigLink() function to handle some session info 
		  across links.  Almost all links should now use twigLink().
		- Category is now listed in todo field.  
		- Most fields are now sortable.  
		- Default group changed to "ALL."  
		- Added country field to contacts.  
		- Added MOTD feature (edit config/motd)

 - Feb 22, 1999 (v 0.1pre3)

	Changes from previous version:
   		- Scrolling through day view buttons added.  
		- Added "completed" field to todo app 
		  (and altered twig_todo table def).  
		- Finished replacing addressbook with contacts.  
		- Default group is still "Unfiled" but there is also 
		  now a group "ALL" which is all items available to you.
   		- Prettied up contact manager.  
		- Added "mobile" field to contacts.
   		- Fixed "Add to Addressbook" feature.  
		- Added Leon Brooks' pgsql changes.
   		- Several more bugfixes.  
		- Some database table definitions have been slightly altered
		  (s/end/finish/, s/user /username /, and made all groupid 
		   NOT NULL).

 - Feb 12, 1999 (v 0.1pre2)

	Changes from previous version:
   		- Bookmarks feature added, lots more.  
		- Reply-To: preference was added.
   		- BCC: was added.  
		- Bookmarks feature (and table definition) was added.
   		- Contact manager was added.  
		- Messages can be moved to different folders now 
		  (thanks to Tyler Bindon).  
		- Pagetitle Updates.  CREDITS are now displayed as a comment
		  on all pages.  
		- Mail now gets written to a "sent-mail" folder automatically.
		- Added "wrap=soft" to todo, bookmarks, contacts, and 
		  calendar features.  
		- Added "Go To" box at the bottom of the page for quick 
		  URL opening.  
		- Implemented new grouping scheme which will eventually be 
		  extended for full groupware capability.  
		- Replaced the old addressbook with the contact manager 
		  (old addressbook code will be re-added later for optional
		   compatibility with IMP).

 - Feb 08, 1999 (v 0.1pre1)

	Changes from previous version:
   		- I already forgot which changes were specific to pre1.  

 - Feb 08, 1999 (v 0.07a)

	Changes from previous version:
   		- Muppet/Maple has changed names (already) to TWIG.  Also, we
		  are taking a new direction and turning TWIG into a 
		  full-featured Groupware app. (phere our buzzwords!).  
		- E-Mail is complete, scheduling will be added from code we 
		  already have written, etc.
		- Added TODO file. 
		- Date sorts on Recieved instead of Message Date now.

 - Feb 05, 1999 (v 0.07)

	Changes from previous version:
   		- Name changed from Muppet to Maple (to avoid copyright 
		  infringement).
   		- Added reply to all feature.  
		- Added time field to mailbox overview.
   		- Messages are now sortable by column.  
		- Clickable links now go to a new window.  
		- Fixed a few more bugs that caused problems in NetPositive.
   		- Added CREDITS file.  
		- Added dbFetchObject() to mysql.db.inc
   		- $dbconfig[sqltable] has been changed to $dbconfig[addr_table]
		  and there is now a $dbconfig[prefs_table] as well.  
		- Preferences can now be stored in a database instead of 
		  cookies.

 - Feb 02, 1999 (v 0.06f)

	Changes from previous version:
   		- Zillions of tiny bug fixes (lots for compatibility with 
		  browsers like NetPositive (of BeOS)), and a "Select All" 
		  button.  
		- Some enhancements were made to the way muppet responds 
		  to certain actions like replying, etc. 
		- Added the CHANGELOG and COPYING files.

 - Jan 24, 1999 (v 0.06e)

	Changes from previous version:
   		- Server Configuration is now in config.inc

 - Jan 24, 1999 (v 0.06d)

	Changes from previous version:
   		- Several more stupid bugfixes (changing $config[imap_server]
		  works, addressbook updates work, etc). 
		- Some additional mailbox management was also added.

 - Jan 20, 1999 (v 0.06c)

	Changes from previous version:
   		- More stupid bug fixes.

 - Jan 20, 1999 (v 0.06b)

	Changes from previous version:
   		- Fixed stupid harmful bug in mailbox handling and 
		  multimessage delete.

 - Jan 20, 1999 (v 0.06a)

	Changes from previous version:
   		- Fixed bug in addressbook that would wipe out all addresses.

 - Jan 20, 1999 (v 0.06)

	Changes from previous version:
   		- Added addressbook and a few minor changes elsewhere to 
		  accommodate it.  
		- Uses IMP-style MySQL database (for cross-compatibility).

 - Jan 20, 1999 (v 0.05a)

	Changes from previous version:
   		- Multiple Message Deletes are now possible.  
		- Some attachment fixes, as well as some header changes 
		  from <bhuism@Cam045312.student.utwente.nl>.

 - Jan 12, 1999 (v 0.05)

	Changes from previous version:
   		- Moved some files around just to confuse you.  
		- Features are now in the features dir, while configurables 
		  are in the config directory.
   		- Authorization is now done based on discussions with the 
		  IMAP server, so if you type in the wrong password, you don't
		  have to shut down your browser.
   		- File Attachment Viewing works better.
   		- You can now switch between subscribed folders.
   		- We also got a logo (thanks to corey@wiw.org)

 - Dec 31, 1998 (v 0.04a)

	Changes from previous version:
   		- Fixed the bug where the first line of each message was 
		  missing.  
		- Also fixed bug in next message feature.

 - Dec 28, 1998 (v 0.04)

	Changes from previous version:
   		- Real Name preference was added, 
		- Added wordwrapping feature (and matching preference)
		- Some cosmetic changes and bug fixes too.

 - Dec 23, 1998 (v 0.03)

	Changes from previous version:
   		 - Added support for signature preference (and proved I 
		   could make many meaningless releases in one day!)

 - Dec 23, 1998 (v 0.02a)

	Changes from previous version:
   		Removed imap_close() because it was sorta silly to use.

 - Dec 23, 1998 (v 0.02)

	Changes from previous version:
   		- Added support to send and download attachments

 - Dec 18, 1998 (v 0.01)

	Changes from previous version:
   		 - Initial Release
